aboutsummaryrefslogtreecommitdiffhomepage
path: root/performance-test
diff options
context:
space:
mode:
authorGravatar David Bremner <bremner@debian.org>2013-05-15 07:53:27 -0300
committerGravatar David Bremner <bremner@debian.org>2013-05-15 22:23:29 -0300
commite1cc5159b0fde48c1faa417b0e1e4fca015aa376 (patch)
tree7c864228e5a276130150d95e8a195e6ee1c1d39b /performance-test
parente9cdff74ccc499bf31c60c41227f4108346a6983 (diff)
perf-test: add notmuch-memory-test
Somehow this file was not added to the patch set which split the tests into time and memory tests. Take advantage of the the "new" way of running tests to avoid listing the explicitly.
Diffstat (limited to 'performance-test')
-rwxr-xr-xperformance-test/notmuch-memory-test21
1 files changed, 21 insertions, 0 deletions
diff --git a/performance-test/notmuch-memory-test b/performance-test/notmuch-memory-test
new file mode 100755
index 00000000..3cf28c7f
--- /dev/null
+++ b/performance-test/notmuch-memory-test
@@ -0,0 +1,21 @@
+#!/usr/bin/env bash
+
+# Run tests
+#
+# Copyright (c) 2005 Junio C Hamano
+#
+# Adapted from a Makefile to a shell script by Carl Worth (2010)
+
+if [ ${BASH_VERSINFO[0]} -lt 4 ]; then
+ echo "Error: The notmuch test suite requires a bash version >= 4.0"
+ echo "due to use of associative arrays within the test suite."
+ echo "Please try again with a newer bash (or help us fix the"
+ echo "test suite to be more portable). Thanks."
+ exit 1
+fi
+
+cd $(dirname "$0")
+
+for test in M*.sh; do
+ ./"$test" "$@"
+done